10 100ask_imx6ull 按照教程文件单独编译QT失败

根据https://blog.csdn.net/flfihpv259/article/details/88746243

这个帖子准备将buildroot中的qt和模块升级到5.12,原先版本放入qt程序提示部分模块版本太低无法运行.

package/qt5/Config.in package/qt5/qt5.mk 和各个模块的hash文件都已经按帖子修改完成

准备buildroot中单独编译qt5模块.


根据下载资料中的linux应用完全开发手册

buildroot下单独编译某个软件包
book@100ask:~/100ask_stm32mp157_pro-sdk/Buildroot_2020.02.x$ make <pkg>-rebuild


在make menuconfig选中以后 单独执行 make qt5-rebuild来查看编译所需的命令和过程进行参考

实际执行结果为

book@100ask:~/100ask_imx6ull-sdk/Buildroot_2019.02$ make qt5-rebuild
make: *** No rule to make target 'qt5-rebuild'.  Stop.
book@100ask:~/100ask_imx6ull-sdk/Buildroot_2019.02$ make QT5-rebuild
make: *** No rule to make target 'QT5-rebuild'.  Stop.


请教哪里出错,还有就是如果单独编译成功会出现什么文件?

更新repo 中的git库 多出来一个2020.02.x的buildroot. 再试试看先.


..论坛的验证码烂爆了

请先 登录 后评论

最佳答案 2021-03-29 10:29

使用 更新repo 中的git库 多出来一个2020.02.x的buildroot. 可以编译获得5.12.8的qt.

可以正常使用

请先 登录 后评论

其它 1 个回答

百问网_赵老师
擅长:嵌入式开发

没有qt5这个包

请先 登录 后评论
  • 1 关注
  • 0 收藏,592 浏览
  • AL 提出于 2021-03-26 14:39

相似问题